cURL
curl --request PUT "https://rxresu.me/api/openapi/career/profile" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{}'import requests
url = "https://rxresu.me/api/openapi/career/profile"
payload = {
"targetRoles": [],
"locations": [],
"priorities": "",
"minBase": {
"amount": None,
"currency": "USD",
"period": "year"
},
"maxOfficeDays": 2,
"noticeWeeks": 26,
"memoryMode": "ask"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetRoles: [],
locations: [],
priorities: '',
minBase: {amount: null, currency: 'USD', period: 'year'},
maxOfficeDays: 2,
noticeWeeks: 26,
memoryMode: 'ask'
})
};
fetch('https://rxresu.me/api/openapi/career/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"targetRoles": [],
"locations": [],
"priorities": "",
"minBase": {
"amount": null,
"currency": "USD",
"period": "year"
},
"maxOfficeDays": 2,
"noticeWeeks": 26,
"memoryMode": "ask"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Put careerprofile
PUT
/
career
/
profile
cURL
Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Body
application/json
Maximum array length:
20Required string length:
1 - 200Maximum array length:
20Required string length:
1 - 200Maximum string length:
4000Show child attributes
Show child attributes
Required range:
0 <= x <= 5Required range:
0 <= x <= 52Available options:
ask, auto, off Response
OK
Maximum array length:
20Required string length:
1 - 200Maximum array length:
20Required string length:
1 - 200Maximum string length:
4000Show child attributes
Show child attributes
Required range:
0 <= x <= 5Required range:
0 <= x <= 52Available options:
ask, auto, off